TemplateXFuPriorityList< T > class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# XFuPriorityList< T > Class Template Reference

`#include <XFuPriorityList.h>`

Collaboration diagram for XFuPriorityList< T >:

[legend]
List of all members.

## Public Member Functions

| XFuPriorityList (XFuPriorityHelp *aPriorityHelp)
| Constructor.
| XFuPriorityList ()
| Constructor.
virtual | ~XFuPriorityList ()
| Virtual destructor.
void | setPriorityHelp (XFuPriorityHelp *aPriorityHelp)
| Sets priority helper.
INT | addPriorityFirst (T aNewData)
| Add first by priority.
INT | addPriorityLast (T aNewData)
| Add last by priority.
void | decreasePriorities ()
| Decreases all priorities.
void | increasePriorities ()
| Increases priorities.
INT | removeFirst ()
| Removes first.
INT | removeLast ()
| Remove last.

## Private Attributes

XFuPriorityHelp * | mPriorityHelp

### template<class T>
class XFuPriorityList< T >

## Constructor & Destructor Documentation

template<class T>
XFuPriorityList< T >::XFuPriorityList | ( | XFuPriorityHelp * | aPriorityHelp | ) |

| Constructor. Definition at line 66 of file XFuPriorityList.h.

template<class T>
XFuPriorityList< T >::XFuPriorityList | ( |  | ) |

| Constructor. Definition at line 60 of file XFuPriorityList.h.

template<class T>
XFuPriorityList< T >::~XFuPriorityList | ( |  | ) | `[virtual]`

| Virtual destructor. Definition at line 73 of file XFuPriorityList.h.

## Member Function Documentation

template<class T>
INT XFuPriorityList< T >::addPriorityFirst | ( | T | aNewData | ) |

| Add first by priority. Definition at line 86 of file XFuPriorityList.h. References XFuPriorityList< T >::mPriorityHelp, and XFuPriorityHelp::priorityCheck().

template<class T>
INT XFuPriorityList< T >::addPriorityLast | ( | T | aNewData | ) |

| Add last by priority. Definition at line 107 of file XFuPriorityList.h. References XFuPriorityList< T >::mPriorityHelp, and XFuPriorityHelp::priorityCheck().

template<class T>
void XFuPriorityList< T >::decreasePriorities | ( |  | ) |

| Decreases all priorities. Definition at line 129 of file XFuPriorityList.h. References XFuPriorityHelp::decrease(), and XFuPriorityList< T >::mPriorityHelp.

template<class T>
void XFuPriorityList< T >::increasePriorities | ( |  | ) |

| Increases priorities. Definition at line 143 of file XFuPriorityList.h. References XFuPriorityHelp::increase(), and XFuPriorityList< T >::mPriorityHelp.

template<class T>
INT XFuPriorityList< T >::removeFirst | ( |  | ) |

| Removes first. Definition at line 157 of file XFuPriorityList.h.

template<class T>
INT XFuPriorityList< T >::removeLast | ( |  | ) |

| Remove last. Definition at line 164 of file XFuPriorityList.h.

template<class T>
void XFuPriorityList< T >::setPriorityHelp | ( | XFuPriorityHelp * | aPriorityHelp | ) |

| Sets priority helper. Definition at line 79 of file XFuPriorityList.h. References XFuPriorityList< T >::mPriorityHelp.

## Member Data Documentation

template<class T>
XFuPriorityHelp* XFuPriorityList< T >::mPriorityHelp`[private]`

| Definition at line 23 of file XFuPriorityList.h. Referenced by XFuPriorityList< T >::addPriorityFirst(), XFuPriorityList< T >::addPriorityLast(), XFuPriorityList< T >::decreasePriorities(), XFuPriorityList< T >::increasePriorities(), and XFuPriorityList< T >::setPriorityHelp().

The documentation for this class was generated from the following file:

- XFuPriorityList.h

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch